<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit();
}

// Fixing Translations
add_action( 'admin_init', 'rankmath_naga_translations' );
function rankmath_naga_translations() {
	// Load Translations --- RankMath Pro
	$text_domain = 'rank-math-pro';
	$pofile_path = plugin_dir_path( __FILE__ ) . "languages/$text_domain-fa_IR.po";
	$mofile_path = plugin_dir_path( __FILE__ ) . "languages/$text_domain-fa_IR.mo";
	copy( $pofile_path, "../wp-content/languages/plugins/$text_domain-fa_IR.po" );
    copy( $mofile_path, "../wp-content/languages/plugins/$text_domain-fa_IR.mo" );
	
	// Load Translations --- RankMath Free
	$text_domain = 'rank-math';
	$pofile_path = plugin_dir_path( __FILE__ ) . "languages/$text_domain-fa_IR.po";
	$mofile_path = plugin_dir_path( __FILE__ ) . "languages/$text_domain-fa_IR.mo";
	copy( $pofile_path, "../wp-content/languages/plugins/$text_domain-fa_IR.po" );
    copy( $mofile_path, "../wp-content/languages/plugins/$text_domain-fa_IR.mo" );
	
	// Fix WordPress Repository Translations --- RankMath Free
	$text_domain = 'seo-by-rank-math';
	$pofile_path = plugin_dir_path( __FILE__ ) . "languages/$text_domain-fa_IR.po";
	$mofile_path = plugin_dir_path( __FILE__ ) . "languages/$text_domain-fa_IR.mo";
	copy( $pofile_path, "../wp-content/languages/plugins/$text_domain-fa_IR.po" );
    copy( $mofile_path, "../wp-content/languages/plugins/$text_domain-fa_IR.mo" );
}

// Fixing RTL Admin Styles
add_action( 'admin_enqueue_scripts', 'rankmath_naga_admin_css' );
function rankmath_naga_admin_css() {
	if ( is_rtl() ) {
		wp_enqueue_style( 'rankmath-naga-admin-css', plugin_dir_url( __FILE__ ) . 'css/rankmath-naga-admin.css' );
	}
}

// Fixing Front-End Styles
add_action( 'wp_enqueue_scripts', 'rankmath_naga_front_css' );
function rankmath_naga_front_css() {
	if ( is_rtl() ) {
		wp_enqueue_style( 'rm-pro-front-css', plugin_dir_url( __FILE__ ) . 'css/rankmath-naga-front.css' );
	}
}